Name: etoys
Version: 5.0.2408
Release: %mkrel 8
Summary: An educational tool for teaching children powerful ideas in compelling ways
License: MIT/Apache
Group: Graphical desktop/Other
Url: http://squeakland.org/
Source: http://download.sugarlabs.org/sources/sucrose/glucose/%{name}/%{name}-%{version}.tar.gz

Patch: etoys-4.0.2340-sugar-etoys-desktop.patch

Requires: squeak-vm >= 3.10.3

BuildRequires: autoconf  
BuildRequires: automake  
BuildRequires: gettext  
BuildRequires: libtool  

BuildArch: noarch

%description
Squeak Etoys was inspired by LOGO, PARC-Smalltalk, Hypercard, starLOGO
and AgentSheets. It is a media-rich authoring environment with a simple,
powerful scripted object model for many kinds of objects created by end-users
that runs on many platforms, and it is free and open source. It includes 2D and
3D graphics, images, text, particles, presentations, web-pages, videos, sound
and MIDI, etc. It includes the ability to share desktops with other Etoy users
in real-time, so many forms of immersive mentoring and play can be done over
the Internet.

%prep
%setup -q 
%autopatch -p1

%build
autoreconf
%define __libtoolize true
%configure --exec_prefix=%{_prefix}/bin --datarootdir=%{_prefix}/share --datadir=%{_prefix}/share --bindir=%{_prefix}/bin
make

%install
make ROOT=%{buildroot} datadir=%{buildroot}/%{_prefix}/share bindir=%{buildroot}/%{_prefix}/bin install-etoys

%files 
%{_bindir}/*
%{_datadir}/etoys
%{_datadir}/mime/packages/*
%{_datadir}/doc/*
%{_datadir}/applications/*





%changelog
* Tue Feb 11 2020 umeabot <umeabot> 5.0.2408-8.mga8
+ Revision: 1489523
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 5.0.2408-7.mga7
+ Revision: 1260609
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 5.0.2408-6.mga6
+ Revision: 947947
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 5.0.2408-5.mga5
+ Revision: 746726
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.2408-4.mga5
+ Revision: 679039
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 5.0.2408-3.mga4
+ Revision: 504109
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 5.0.2408-2.mga3
+ Revision: 349755
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 21 2012 zezinho <zezinho> 5.0.2408-1.mga3
+ Revision: 320087
- new version

* Thu Nov 17 2011 zezinho <zezinho> 4.1.2390-1.mga2
+ Revision: 168578
- imported package etoys


* Sat Apr 03 2010 Aleksey Lim <alsroot@mandriva.org> 4.0.2340-1mdv2010.1
+ Revision: 530889
- Sucrose 0.88.0 release, switch to original squeak-vm

* Mon Oct 12 2009 Aleksey Lim <alsroot@mandriva.org> 4.0.2332-1mdv2010.0
+ Revision: 456969
- Push 4.0.2332

* Fri Sep 25 2009 Aleksey Lim <alsroot@mandriva.org> 4.0.2319-1mdv2010.0
+ Revision: 448671
- Update to 4.0.2319

* Fri Sep 18 2009 Aleksey Lim <alsroot@mandriva.org> 4.0.2318-1mdv2010.0
+ Revision: 444499
- Update to 4.0.2318
- Update to 4.0.2279

* Tue Aug 11 2009 Aleksey Lim <alsroot@mandriva.org> 4.0.2229-1mdv2010.0
+ Revision: 414751
- Initial commit

